Mail::AuthenticationResults::Parser(3)

NAME
Mail::AuthenticationResults::Parser - Class for parsing Authentication Results Headers

VERSION
version 2.20210915

DESCRIPTION
Class for parsing Authentication Results headers into objects.

takes a string and returns a Mail::AuthenticationResults::Header object

METHODS

  new( $header )
Return a new Parser instance.

If $header is supplied then parse it and return the parsed object.

  parse( $header )
Parse $header and return the parsed object.

  tokenise( $header )
Tokenise the given $header string

  parsed()
Return the parsed object tree

AUTHOR
Marc Bradshaw <marc@marcbradshaw.net>

COPYRIGHT AND LICENSE
This software is copyright (c) 2021 by Marc Bradshaw.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.